The following shows how to generate the prolexic-network-health-monitoring-top-talkers-extended report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
Provides network health monitoring extended data for top network hosts.
Business object: securityConfigs
Data available for: 90 days
Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect
Available metrics
| Metric | Description |
|---|---|
id | The traffic's flow ID |
sourceIp | The source IP address |
sourcePort | The source IP port |
destinationIp | The destination IP address |
destinationPort | The destination IP port |
asn | The ASN (autonomous system number) |
protocol | The network protocol of the traffic |
Available filters
| Filter | Type | Description |
|---|---|---|
securityConfigs | Array | The security config to filter by REQUIRED |
dimensions | Enumeration | The network traffic dimension to filter by: Source IP, Source Port, Destination IP, Destination Port, Protocol, or ASN. REQUIRED |
ports | String | The source ports to filter by |
protocols | String | TCP, UDP, ICMP, ESP |
protected-prefixes | String | The list of Prolexic-protected prefixes |
scrubbing-centers | String | The Prolexic scrubbing centers |
number-of-rows | String | The number of rows to display in the report |
POST request
POST /reporting-api/v1/reports/prolexic-network-health-monitoring-top-talkers-extended/versions/14/report-data{?start,āend,interval}
Sample:
/reporting-api/v1/reports/prolexic-network-health-monitoring-top-talkers-extended/versions/14/report-data?start=2026-04-28T00%3A00%3A00Z&end=2026-04-29T00%3A00%3A00Z&interval=FIVE_MINUTES
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
start | String | 2025-05-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED |
end | String | 2025-06-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED |
interval | Enumeration | FIVE_MINUTES | Specifies the time interval: ONE_MINUTE,FIVE_MINUTES HOUR, or DAY. REQUIRED |
JSON request members
| Member | Type | Description |
|---|---|---|
objectType | String | Specifies the business object for the report. |
filters | Object | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values: securityConfigs, dimensions, source-ports, destination-ports, protocols, protected-prefixes, scrubbing-centers. |
metrics | Array | The set of desired metrics. packetsCount, id, destinationPort, destinationIp, sourceIp, sourcePort, asn, or protocol.If omitted, the report includes all available metrics. |
Request body:
{
"objectType": "securityConfigs",
"objectIds": [
"all"
],
"filters": {
"securityConfigs": [
"all"
],
"protected-prefixes": [
"192.175.246.0/24"
],
"dimensions": [
"Source Port",
"Destination Port",
"Source IP"
]
},
"metrics": [
"id",
"destinationPort",
"destinationIp",
"sourceIp",
"sourcePort",
"asn",
"protocol"
]
}JSON response
Status 200 application/json
Response body
{
"metadata": {
"name": "prolexic-network-health-monitoring-top-talkers-extended",
"version": "1",
"outputType": "FLAT",
"groupBy": [],
"interval": "FIVE_MINUTES",
"start": "2025-11-12T00:00:00Z",
"end": "2025-11-14T00:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 10,
"filters": [
{
"name": "securityConfigs",
"values": [
"all"
]
},
{
"name": "protected-prefixes",
"values": [
"192.175.246.0/24"
]
},
{
"name": "dimensions",
"values": [
"Source Port",
"Destination Port",
"Source IP"
]
}
],
"columns": [
{
"name": "id",
"label": "ID"
},
{
"name": "sourceIp",
"label": "Source IP Address"
},
{
"name": "sourcePort",
"label": "Source Port"
},
{
"name": "destinationIp",
"label": "Destination IP Address"
},
{
"name": "destinationPort",
"label": "Destination Port"
},
{
"name": "asn",
"label": "ASN"
},
{
"name": "protocol",
"label": "Protocol"
}
],
"objectType": "securityConfigs",
"objectIds": [
"pd_aana5hvj6r",
"usbank_cbc"
]
},
"data": [
{
"id": "8676945544260853298",
"sourceIp": "11.166.65.90",
"sourcePort": "5271",
"destinationIp": "192.175.246.11",
"destinationPort": "5364",
"asn": "0",
"protocol": "UDP"
},
{
"id": "7727990350843117617",
"sourceIp": "243.40.220.175",
"sourcePort": "5467",
"destinationIp": "192.175.246.11",
"destinationPort": "5399",
"asn": "0",
"protocol": "UDP"
},
{
"id": "17386655851645966204",
"sourceIp": "8.206.4.143",
"sourcePort": "5206",
"destinationIp": "192.175.246.11",
"destinationPort": "5320",
"asn": "0",
"protocol": "UDP"
},
{
"id": "15978301168329028491",
"sourceIp": "157.55.21.78",
"sourcePort": "5364",
"destinationIp": "192.175.246.11",
"destinationPort": "5401",
"asn": "0",
"protocol": "UDP"
},
{
"id": "6960445633009605712",
"sourceIp": "188.136.187.225",
"sourcePort": "5450",
"destinationIp": "192.175.246.11",
"destinationPort": "5252",
"asn": "0",
"protocol": "UDP"
},
{
"id": "3700184188874405568",
"sourceIp": "151.144.118.97",
"sourcePort": "5271",
"destinationIp": "192.175.246.11",
"destinationPort": "5413",
"asn": "0",
"protocol": "UDP"
},
{
"id": "10263886907290398514",
"sourceIp": "62.158.17.221",
"sourcePort": "5294",
"destinationIp": "192.175.246.11",
"destinationPort": "5449",
"asn": "0",
"protocol": "UDP"
},
{
"id": "2086997380184191318",
"sourceIp": "10.233.155.243",
"sourcePort": "5464",
"destinationIp": "192.175.246.11",
"destinationPort": "5405",
"asn": "0",
"protocol": "UDP"
},
{
"id": "18273877120547252716",
"sourceIp": "83.121.17.106",
"sourcePort": "5274",
"destinationIp": "192.175.246.11",
"destinationPort": "5307",
"asn": "0",
"protocol": "UDP"
},
{
"id": "14461285799910848867",
"sourceIp": "73.139.16.98",
"sourcePort": "5274",
"destinationIp": "192.175.246.11",
"destinationPort": "5464",
"asn": "0",
"protocol": "UDP"
}
],
"summaryStatistics": {}
}